public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-themes/greybird/
Date: Sun, 25 Aug 2019 07:35:42 +0000 (UTC)	[thread overview]
Message-ID: <1566718537.a6a2e97c3c621f2558f0004e1c3cf6f00d19a3f3.jer@gentoo> (raw)

commit:     a6a2e97c3c621f2558f0004e1c3cf6f00d19a3f3
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 25 07:34:05 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Aug 25 07:35:37 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6a2e97c

x11-themes/greybird: Version 3.22.10

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Fixes: https://bugs.gentoo.org/692830
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-themes/greybird/Manifest                |  1 +
 x11-themes/greybird/greybird-3.22.10.ebuild | 55 +++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/x11-themes/greybird/Manifest b/x11-themes/greybird/Manifest
index 383a3d46015..374ac691e6e 100644
--- a/x11-themes/greybird/Manifest
+++ b/x11-themes/greybird/Manifest
@@ -1,3 +1,4 @@
 DIST greybird-3.20.1.tar.gz 193824 BLAKE2B d4e5cba92e9acf2fd084ee5b1bb5db332bb541193980ee7c74ba98da3b1bb675efd171078fac6051be21d2c2fd03b88f45bf7dff3101ec91578dc28bed212ec9 SHA512 9fe8662fa1c3c9b51aa1ba6d9cb9a54a8e7640386dc43cb695e87ed733a40893067bd86277a03d1c17c48596ba0897a0a41ed48db985727b0d65f2ce2de2227e
+DIST greybird-3.22.10.tar.gz 212225 BLAKE2B d38d05d3a2523e58ed8fc8474bd8607a45b4f63d33f6053f5b9cc749504be3c3930d6f156a26abae9dfcd9214e68f92343bbcd0ecef7e53640a597b28562875e SHA512 c950de36c9733f98b454fde1ff5f8005169fab3b2782ab9f13a95a1aba938766f38666ad1229ab429fa163cf0e97cf5ecc8a84f3eb63cc378c35d79ea54b513c
 DIST greybird-3.22.8.tar.gz 211084 BLAKE2B 958b1dd837bbf91c40ef9ec3e5944d24d83d984e46b53cee8297dbf93931efd3f2efbda496929c3ced875f7a1d9046804b48b870bdca37a7bcffd57271e80470 SHA512 c6ac0dafc926ec2a0b01b4d44f602e533f97f806be32096208c08461502cadcda3f1e63012ad78ffaaa9c791c5af72ce2b7e0578b1f7c0d3ab407763bc40f94b
 DIST greybird-3.22.9.tar.gz 211750 BLAKE2B bfce416c55cc03d1f98c4d14916bcecb6cdc857ed3f813d90cae2a9e92f607d4ae3798d0eb39b0e548f7b4c7964b60d4970c442b91eb78db02772b9a2c02f3a2 SHA512 d09638c78d74e26a428edfbbe00719208fac5e574db11eac2e538d25fa9f3270c9c7b636f770061807a59b200c8afa4252a9513cffe1f4af3d186425b6a14744

diff --git a/x11-themes/greybird/greybird-3.22.10.ebuild b/x11-themes/greybird/greybird-3.22.10.ebuild
new file mode 100644
index 00000000000..7d775459b57
--- /dev/null
+++ b/x11-themes/greybird/greybird-3.22.10.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+MY_PN=${PN/g/G}
+
+DESCRIPTION="The default theme from Xubuntu"
+HOMEPAGE="http://shimmerproject.org/project/greybird/ https://github.com/shimmerproject/Greybird"
+SRC_URI="https://github.com/shimmerproject/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+# README says "dual-licensed as GPLv2 or later and CC-BY-SA 3.0 or later"
+LICENSE="CC-BY-SA-3.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="ayatana gnome xfce"
+
+RDEPEND="
+	>=x11-libs/gtk+-3.22:3
+	>=x11-themes/gtk-engines-murrine-0.90
+"
+DEPEND="
+	${RDEPEND}
+	dev-lang/sassc
+	dev-libs/glib:2
+	dev-ruby/sass:3.5
+"
+S=${WORKDIR}/${MY_PN}-${PV}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	default
+
+	pushd "${ED}"/usr/share/themes/${MY_PN} > /dev/null || die
+	use ayatana || rm -rf unity
+	use gnome || rm -rf metacity-1
+	use xfce || rm -rf xfce* xfwm4*
+	popd > /dev/null || die
+}
+
+pkg_postinst() {
+	if ! has_version x11-themes/elementary-xfce-icon-theme ; then
+		elog "For upstream's default icon theme, please emerge"
+		elog "x11-themes/elementary-xfce-icon-theme"
+	fi
+	if ! has_version x11-themes/vanilla-dmz-xcursors ; then
+		elog "For upstream's default cursor theme, please emerge"
+		elog "x11-themes/vanilla-dmz-xcursors"
+	fi
+}


             reply	other threads:[~2019-08-25  7:35 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-25  7:35 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-30  3:17 [gentoo-commits] repo/gentoo:master commit in: x11-themes/greybird/ Jonas Stein
2021-04-04 18:55 Andreas Sturmlechner
2021-02-01  5:55 Joonas Niilola
2021-02-01  4:42 Sam James
2021-01-30 10:02 Sam James
2021-01-29 11:25 Joonas Niilola
2021-01-29 11:25 Joonas Niilola
2021-01-29 11:25 Joonas Niilola
2020-09-04  8:46 Jeroen Roovers
2020-06-13 12:29 Mart Raudsepp
2020-05-23 10:08 Pacho Ramos
2020-02-10  9:52 Jeroen Roovers
2020-02-10  9:52 Jeroen Roovers
2019-08-25  7:35 Jeroen Roovers
2019-03-02 19:56 Sergei Trofimovich
2019-02-03 12:27 Jeroen Roovers
2018-07-10 17:38 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-07-10 14:45 Johannes Huber
2018-04-02  7:36 Jason Zaman
2017-04-20 16:35 Jason Zaman
2016-12-05 20:34 Pacho Ramos
2016-10-12 14:20 Ian Stakenvicius
2016-10-12 14:20 Ian Stakenvicius
2016-10-11 20:23 Ian Stakenvicius
2016-10-11 19:16 Ian Stakenvicius
2016-08-03 14:06 Jeroen Roovers
2016-07-24 20:18 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566718537.a6a2e97c3c621f2558f0004e1c3cf6f00d19a3f3.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox